Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Interface ISVNMerger

public interface ISVNMerger

ISVNMerger is the merger driver interface used by JavaSVN in merging operations.

Merger drivers are created by a merger factory implementing the `ISVNMergerFactory` interface. Read more about that interface to find out how to get a default implementation of ISVNMerger.

Version:
  1.0
Author:
  TMate Software Ltd.

Method Summary
`SVNStatusType` | `mergeText(File baseFile, File localFile, File latestFile, boolean dryRun, OutputStream out)` Generates delta given the two source file to be compared, applies the delta against a local file and writes the merge result to the given `OutputStream`.

Method Detail

### mergeText

    public SVNStatusType mergeText(File baseFile,
                                   File localFile,
                                   File latestFile,
                                   boolean dryRun,
                                   OutputStream out)
                            throws SVNException

  Generates delta given the two source file to be compared, applies the delta against a local file and writes the merge result to the given `OutputStream`.

  Parameters:
    `baseFile` - the earliest file of the two to be compared to generate delta
    `localFile` - a local WC file against which the delta should be applied
    `latestFile` - the latest file of the two to be compared to generate delta
    `dryRun` - if true - only try to merge (to find out if an operation can succeed) without actual merging
    `out` - an output stream where the result file contents should be written to
  Returns:
    a result status of the operation; if success - returns `SVNStatusType.MERGED`
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.